### Signal

# RB Shell::visibility-changing

#### Declaration

    gboolean
    visibility_changing (
      RBShell* self,
      gboolean initial,
      gboolean visible,
      gpointer user_data
    )

#### Description [src]

Emitted before the visibility of the main window changes. The return value overrides the visibility setting. If multiple signal handlers are attached, the last one wins.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`initial`

  Type: `gboolean`

  If `TRUE`, this is the initial visibility for the window.

`visible`

  Type: `gboolean`

  New shell visibility.

#### Return value

Type: `gboolean`

No description available.